/*
 * com.simulogic.dataview -- The Java2D Plotting Framework
 *
 * Copyright (C) 1999 - 2005 Sergey Missan
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

package com.simulogic.dataview.legend;

import javax.swing.JLabel;
import javax.swing.SwingConstants;

import com.simulogic.dataview.plots.AbstractPlot;
import com.simulogic.dataview.plots.LinePlot;

/**
 * Renderer for the plot types
 */
public class PlotTypeRenderer extends JLabel implements
		javax.swing.ListCellRenderer {


	PlotTypeRenderer() {
		super();

		this.setHorizontalTextPosition(SwingConstants.TRAILING);
		this.setOpaque(true);
	}

	/**
	 * Returns rendering component
	 * 
	 * @param list
	 *            export list
	 * @param value
	 *            current value
	 * @param selection
	 *            true if value is selected
	 * @param row
	 *            current row number
	 * @param hasFocus
	 *            true if value has focus
	 * @return rendering component
	 */
	public java.awt.Component getListCellRendererComponent(
			javax.swing.JList list, Object value, int row, boolean selection,
			boolean hasFocus) {
		if (selection) {
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		} else {
			setBackground(list.getBackground());
			setForeground(list.getForeground());
		}

		
		this.setText(((AbstractPlot)value).getName());
	//	this.setIcon(((AbstractPlot)value).getSmallIcon());

		return this;
	}

}